org.apache.tomcat.util.http

## Class Parameters

- java.lang.Object
- - org.apache.tomcat.util.http.Parameters

    public final class Parameters
    extends Object

Author:
  Costin Manolache

### Field Summary

Fields
`static String` `DEFAULT_ENCODING`
`protected static StringManager` `sm`

### Constructor Summary

Constructors
Constructor and Description
`Parameters()`

### Method Summary

Methods
`void` `addParameter(String key, String value)`
`void` `addParameterValues(String key, String[] newValues)` Deprecated.
`String` `getEncoding()`
`String` `getParameter(String name)`
`Enumeration<String>` `getParameterNames()`
`String[]` `getParameterValues(String name)`
`void` `handleQueryParameters()` Process the query string into parameters
`boolean` `isParseFailed()`
`String` `paramsAsString()` Debug purpose
`void` `processParameters(byte[] bytes, int start, int len)`
`void` `processParameters(MessageBytes data, String encoding)`
`void` `recycle()`
`void` `setEncoding(String s)`
`void` `setLimit(int limit)`
`void` `setParseFailed(boolean parseFailed)`
`void` `setQuery(MessageBytes queryMB)`
`void` `setQueryStringEncoding(String s)`
`void` `setURLDecoder(UDecoder u)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### sm

    protected static final StringManager sm

#### DEFAULT_ENCODING

    public static final String DEFAULT_ENCODING

See Also:
  Constant Field Values

### Constructor Detail

#### Parameters

    public Parameters()

### Method Detail

#### setQuery

    public void setQuery(MessageBytes queryMB)

#### setLimit

    public void setLimit(int limit)

#### getEncoding

    public String getEncoding()

#### setEncoding

    public void setEncoding(String s)

#### setQueryStringEncoding

    public void setQueryStringEncoding(String s)

#### isParseFailed

    public boolean isParseFailed()

#### setParseFailed

    public void setParseFailed(boolean parseFailed)

#### recycle

    public void recycle()

#### addParameterValues

    @Deprecated
    public void addParameterValues(String key,
                                     String[] newValues)

Deprecated.

#### getParameterValues

    public String[] getParameterValues(String name)

#### getParameterNames

    public Enumeration<String> getParameterNames()

#### getParameter

    public String getParameter(String name)

#### handleQueryParameters

    public void handleQueryParameters()

Process the query string into parameters

#### addParameter

    public void addParameter(String key,
                    String value)
                      throws IllegalStateException

Throws:
  `IllegalStateException`

#### setURLDecoder

    public void setURLDecoder(UDecoder u)

#### processParameters

    public void processParameters(byte[] bytes,
                         int start,
                         int len)

#### processParameters

    public void processParameters(MessageBytes data,
                         String encoding)

#### paramsAsString

    public String paramsAsString()

Debug purpose